MACRO
Tokens
MATCH
Tokens
MAX_INLINE_RETRY
Inliners
MAX_INLINE_SIZE
Inliners
MEMBER_==
TreeMethods
MINUS
JavaTokens
MINUSEQ
JavaTokens
MINUSMINUS
JavaTokens
MIN_SWITCH_DENSITY
BCClassGen JPlainBuilder
MOD
ScalaPrimitives
MONITOR_ENTER
opcodes
MONITOR_EXIT
opcodes
MTFAGrowable
TypeFlowAnalysis
MUL
ScalaPrimitives Primitives
MacroArgs
Macros
MacroBundleNonStaticError
Errors
MacroBundleWrongShapeError
Errors
MacroCantExpand210xMacrosError
ContextErrors
MacroCantExpandIncompatibleMacrosError
ContextErrors
MacroContext
StdAttachments
MacroEtaError
TyperErrorGen
MacroExpand
ScalaSettings
MacroExpander
Macros
MacroExpanderAttachment
StdAttachments
MacroExpansionAttachment
StdAttachments
MacroExpansionException
TyperErrorGen
MacroExpansionHasInvalidTypeError
TyperErrorGen
MacroFreeSymbolError
TyperErrorGen
MacroGeneratedAbort
TyperErrorGen
MacroGeneratedException
TyperErrorGen
MacroGeneratedTypeError
TyperErrorGen
MacroImplAmbiguousError
Errors
MacroImplBinding
Macros
MacroImplExtraParamsError
Error
MacroImplMissingParamsError
Error
MacroImplNonTagImplicitParameters
Error
MacroImplNotPublicError
Error
MacroImplOverloadedError
Error
MacroImplParamNameMismatchError
Error
MacroImplParamssMismatchError
Error
MacroImplRefAttachment
StdAttachments
MacroImplRefCompiler
DefaultMacroCompiler
MacroImplReferenceWrongShapeError
Error
MacroImplTargMismatchError
Error
MacroImplTparamInstantiationError
Error
MacroImplVarargMismatchError
Error
MacroImplWrongNumberOfTypeArgumentsError
Error
MacroImplementationNotFoundError
TyperErrorGen
MacroPlugin
AnalyzerPlugins
MacroRuntime
MacroRuntimes
MacroRuntimeAttachment
StdAttachments
MacroRuntimeResolver
MacroRuntimes
MacroRuntimes
runtime
MacroStatus
Macros
MacroTooFewArgumentListsError
TyperErrorGen
MacroTooFewArgumentsError
TyperErrorGen
MacroTooManyArgumentListsError
TyperErrorGen
MacroTooManyArgumentsError
TyperErrorGen
Macros
typechecker
MacrosEnabled
ContextMode
MacrosStats
typechecker
Main
nsc
MainBench
nsc
MainClass
ScalacShared nsc
MainTokenMetric
nsc
Make
sabbus
MalformedInput
Scanners
Manifest
reflect
MarkupParser
MarkupParsers
MarkupParsers
parser
MatchAnalysis
patmat
MatchAnalyzer
MatchAnalysis
MatchApproximation
patmat
MatchApproximator
MatchApproximation
MatchCodeGen
patmat
MatchCps
patmat
MatchMonadInterface
Interface
MatchOptimization
patmat
MatchOptimizer
MatchOptimization
MatchTransformer
PatternMatching
MatchTranslation
patmat
MatchTranslator
MatchTranslation
MatchTreeMaking
patmat
MatchWarnings
patmat
MaxCharge
StandardCompileServer
MaxFunctionArityError
TyperErrorGen
MaxLine
Reference
MaxPhases
Global
MaximumJvmParameters
PlainSkelBuilder GenASM
MemberDefTraverser
SyntaxAnalyzer
MemberPosReporter
SyntaxAnalyzer
Members
icode
MergedClassPath
util
Message
ImplicitNotFoundMsg
Meta
cmd
Metalevels
phases
MethodBType
BTypes
MethodNameAndType
BTypes GenASM
MethodSynth
MethodSynthesis
MethodSynthesis
typechecker
MethodTFA
TypeFlowAnalysis
Milestone
settings
Mirror
ReflectGlobal
MirrorTag
Global ReflectGlobal
MissingArgsForMethodTpeError
TyperErrorGen
MissingClassTagError
TyperErrorGen
MissingEndTagControl
MarkupParsers
MissingInterpolator
LintWarnings
MissingParameterOrValTypeError
NamerErrorGen
MissingParameterTypeAnonMatchError
TyperErrorGen
MissingParameterTypeError
TyperErrorGen
MissingPluginException
plugins
MissingRequirementError
nsc
MissingTypeArgumentsParentTpeError
TyperErrorGen
MissingTypeParametersError
TyperErrorGen
Mixin
transform
MixinMissingParentClassNameError
TyperErrorGen
MixinTransformer
Mixin
MkLines
PathResolver
Mode
nsc
Model
PropositionalLogic
Modifiers
Aliases
ModsPlaceholder
Placeholders
ModuleUsingCompanionClassDefaultArgsErrror
TyperErrorGen
MonitorRelease
ICodePhase
MonoFunction
StructuredTypeStrings
MultiChoiceEnumeration
AbsScalaSettings MutableSettings
MultiChoiceSetting
AbsScalaSettings MutableSettings
MultiStringSetting
AbsScalaSettings MutableSettings
MultipleArgumentListForAnnotationError
TyperErrorGen
MultipleVarargError
TyperErrorGen
MutableSettings
settings
m
MonitorRelease IMethodInfo CharacterXn Conversion DateTimeXn ErrorXn FloatingPointXn GeneralXn IntegralXn LiteralXn StdContextTags StdRuntimeTags StdTags
macroApplication
Enclosures
macroArgs
Macros
macroContext
Macros MacroRuntimeAttachment
macroDdef
DefaultMacroCompiler
macroDebugLite
Traces
macroDebugVerbose
Traces
macroDef
DefaultMacroCompiler MacroRuntimeResolver
macroEngine
Macros
macroExpand
Macros
macroExpandAll
Macros
macroExpandCount
MacrosStats
macroExpandNanos
MacrosStats
macroExpandWithRuntime
Macros
macroExpandWithoutRuntime
Macros
macroExpandee
StdAttachments
macroExpanderAttachment
StdAttachments
macroExpansionError
TyperErrorGen
macroImpl
Resolver
macroImplOwner
Resolver
macroImplRef
Resolver
macroImplementationNotFoundMessage
TyperContextErrors
macroLogLite
Traces
macroLogVerbose
Traces
macroRuntime
MacroRuntimes
macros
reflect languageFeatures FastTrack
macrosEnabled
Context
macrosEnabled_=
Context
main
Codegen ClassPathMemoryConsumptionTester CompileClient CompileServer Driver MainBench MainTokenMetric ShowPickled PathResolver VerifyClass
mainClass
Info Jar ScalaSettings
mainTransform
UnCurryTransformer
major
SpecificScalaVersion
majorVersion
BCodeIdiomatic
make
Compilers AnyValRep AnyVals Context
makeAlternative
TreeBuilder
makeAnnotated
TreeBuilder
makeBinop
TreeBuilder
makeBlock
TreeBuilder
makeBridgeDefDef
ComputeBridges
makeBuffering
ContextReporter
makeCaseDef
TreeBuilder
makeCatchFromExpr
TreeBuilder
makeCompanionObject
JavaParser
makeConstructor
JavaParser
makeConstructorContext
Context
makeDoWhile
TreeBuilder
makeEmptyPackage
Parser
makeEntryList
ShowPickled
makeFilter
Parser
makeFullyDefined
Inferencer
makeFunctionTypeTree
TreeBuilder
makeImmediate
ContextReporter
makeImplicit
Context
makeImportSelector
TreeBuilder
makeLocal
Context locals
makeNamedTypes
NamesDefaults
makeNewScope
Context
makeNonSilent
Context
makePackageObject
Parser
makePackaging
Parser JavaParser
makeParam
TreeBuilder JavaParser
makeParens
ParserCommon
makePatDef
TreeBuilder
makePostfixSelect
TreeBuilder
makeSelfDef
TreeBuilder
makeSilent
Context
makeSyntheticParam
JavaParser
makeSyntheticTypeParam
TreeBuilder
makeTemplate
JavaParser
makeText1
SymbolicXMLBuilder
makeTextPat
SymbolicXMLBuilder
makeTupleTerm
TreeBuilder
makeTupleType
TreeBuilder
makeWhile
TreeBuilder
makeXMLpat
SymbolicXMLBuilder
makeXMLseq
SymbolicXMLBuilder
makers
TranslationStep
manifest
Jar JarWriter
manifests
ClassPath
map
SilentResult ClassPath
mapForUnary
CommandLine
mapHelp
Accumulators
mapOver
FixInvalidSyms
mapper
interpolate
maps
SymbolTracker
mark
DeadCode
markDynamicRewrite
StdAttachments
markMacroImplRef
StdAttachments
markProgramPoint
PlainSkelBuilder
masked
Node
matchOwner
MatchMonadInterface
matchPt
BodyTreeMaker
matchStrategy
PureMatchMonadInterface PureMatchTranslator
matcher
AbsCodegen optimizedCodegen OptimizedCasegen pureCodegen
matches
Cursor
matchesEnv
Overload
matchesPtNanos
ImplicitsStats
matchesSym
Overload
matching
AnnotPlaceholder HolePlaceholder ModsPlaceholder ParamPlaceholder Placeholder
matchingImplicits
ImplicitsStats
materializeClassTag
Taggers
materializeExpr
Taggers
materializeTypeTag
Taggers
max
IntSetting
maxClassfileName
ScalaSettings
maxLocals
ICodeReader
maxStack
ICodeReader
maxType
ARRAY BOOL BOXED BYTE CHAR ConcatClass DOUBLE FLOAT INT LONG REFERENCE SHORT TypeKind UNIT BType
maxValueType
PrimitiveBType
maxindex
LevelInfo
mayBeNull
AbsVar Var
mayCleanStack
ICodePhase SyncAndTryBuilder
mdelim
Grouping
mdesc
MethodNameAndType
mdesc_arglessvoid
JBuilder
mdesc_arrayClone
JPlainBuilder
mdesc_toString
JPlainBuilder
meet
ICodeChecker
member
Typer
memberClassesForInnerClassTable
BCodeAsmCommon
memberDecl
JavaParser
memberWildcardType
Implicits
menuKey
ASTMenuBar
merge
DocComments TranslationStep
mergeInheritdocSections
DocStrings
mergeUrlsIntoClassPath
ClassPath
mergeUsecaseSections
DocStrings
message
CompilationFailure ToolBoxError
metalevel
RichCalculateSymbol
metalevels
Metalevels
methName
MacroRuntimeResolver MacroImplBinding
methSymbol
PlainSkelBuilder
methTypeArgs
Inferencer
method
Quasiquotes BasicBlock ExceptionHandler Context DuplicateLabels ICodeChecker CALL_METHOD CopyAnalysis LivenessAnalysis ReachingDefinitionsAnalysis MethodTFA JPlainBuilder DeadCode ICodeReader ClonedTailContext DefDefTailContext EmptyTailContext TailContext
methodBody
JavaParser
methodDescriptor
EnclosingMethodEntry
methodNode
ByteCodeRepository
methodOptTimer
BackendStats
methodOptimizations
LocalOpt
methodPos
ClonedTailContext DefDefTailContext EmptyTailContext TailContext
methodSignature
OptimizerReporting
methodSymbols
BCodeHelpers
methodType
MethodNameAndType
methods
IClass
millis
Timer
min
IntSetting
minimizeParents
Erasure
minimumStack
IMethodInfo
minor
SpecificScalaVersion
mirror
Context Reifier Reifier Item2 Item3 ToolBox ToolBoxFactory
mirrorBuildCall
Reifier GenUtils
mirrorCall
Reifier GenUtils
mirrorClassClassBType
BTypesFromSymbols
mirrorFactoryCall
GenUtils
mirrorMirrorCall
GenUtils
mirrorMirrorSelect
GenUtils
mirrorSelect
Reifier GenUtils
mirrorThatLoaded
Global
missingParams
NamesDefaults
missingSelectErrorTree
Typer
mix
SuperCall
mixer
Global
mixinOuterAccessorDef
ExplicitOuterTransformer
mixinPhase
Run
mixinQualifierOpt
Parser
mixinTransformer
AddInterfaces
mkAnonymousNew
TreeGen
mkAppliedTypeForCase
TreeGen
mkArray
BCodeIdiomatic JBuilder
mkArrayReverse
BCodeIdiomatic
mkAssignAndReturn
TreeGen
mkAttributedCast
gen
mkAttributes
MarkupParser
mkBinOpsGroup
AnyValNum
mkBindForCase
TreeGen
mkCast
TreeGen
mkCastArray
TreeGen
mkCastPreservingAnnotations
TreeGen
mkClass
AnyValRep
mkCoercions
AnyValNum
mkConsoleFrontEnd
reflect
mkFALSE
Interface
mkFastPathBody
LazyValues
mkFlags
GenBCode
mkForwarder
TreeGen
mkImport
TreeGen
mkImports
AnyValRep
mkInstrPrinter
ICodeChecker
mkInvoke
dyna
mkLines
MkLines
mkList
GenUtils
mkListMap
GenUtils
mkManifestFactoryCall
TreeGen
mkMethodFromFunction
TreeGen
mkObject
AnyValRep
mkPrefix
TypeAtom TypeNode
mkProcInstr
MarkupParser
mkReificationPipeline
Phases
mkRuntimeCall
TreeGen
mkShiftOps
AnyValNum
mkSilentFrontEnd
reflect
mkSlowPathDef
LazyValues
mkSoftRef
TreeGen
mkStringOps
AnyValNum
mkSynchronized
TreeGen
mkSynchronizedCheck
TreeGen
mkSysErrorCall
TreeGen
mkTRUE
Interface
mkThis
ClassMethodSynthesis
mkThisSelect
ClassMethodSynthesis
mkToolBox
ToolBoxFactory
mkTreeFromSelectStart
CODE
mkTreeMethods
CODE
mkTreeMethodsFromSelectStart
CODE
mkTreeMethodsFromSymbol
CODE
mkTypeCompleter
Namers
mkUnaryOps
AnyValNum
mkWildcardImport
TreeGen
mkWrapArray
TreeGen
mkXML
SymbolicXMLBuilder
mkZero
AbsCodegen CommonCodegen
mname
MethodNameAndType
mnode
PlainSkelBuilder
model
Solution
modelToCounterExample
MatchAnalyzer
modelToVarAssignment
MatchAnalyzer
modifiers
Parser JavaParser
modifyName
TypeDiag
mods
DerivedFromMemberDef
module
LOAD_MODULE
moduleClass
ClassfileParser
moduleClassFlags
Namer
moduleClassLoader
SymbolLoaders
moduleClassTypeCompleter
Namer
monoFunction
DestructureType
monoTypeCompleter
Namer
moreWork
WorkScheduler
movedMsgs
SymbolTracker
msg
AbortMacroException MalformedInput DontInlineHere Info Info
mthdsCat
Opcodes
mul
JCodeMethodN jcode
mulOpcodes
JCodeMethodN jcode
multipleArgumentExprs
Parser
mutableBinders
ProductExtractorTreeMaker
mutatingInterpret
MethodTFA